APTC Estimator API

Environments:

Environment
URL

Staging

https://api.ichra-staging.healthsherpa.com

Production

https://api.ichra.healthsherpa.com

FIPS Code Lookup

See FIPS County Codes for what the fip_code value is and how to look it up from a zip code.

API Schema

Create APTC estimate

post

Fetch an APTC estimate based on household information

Authorizations
x-api-keystringRequired

API authentication token (required for production). These will be generated as needed and shared with you to use. Use of our Mock CRM page does not require this header.

Body
zip_codestringRequired

Zip code of the household

Example: 12345
fip_codestringRequired

FIPS code for the location

Example: 01001
household_incomenumber · floatRequired

Annual household income in USD

Example: 50000
plan_yearintegerOptional

Year of the plan (optional)

Example: 2023
Responses
chevron-right
200

Successful APTC estimate

application/json

APTC estimate details

estimated_aptcnumber · floatRequired

Estimated Advanced Premium Tax Credit amount in USD. This is the monthly subsidy amount that can be applied to premiums. Returns 0 if no plans with subsidy are found.

Example: 250
csr_levelstring · enumRequired

Cost Sharing Reduction (CSR) level code. Represents the highest CSR level available based on the household's income and plan selection.

Example: 03Possible values:
post
/api/v1/aptc_estimates

Last updated